Page MenuHomePhabricator

Run pywikibot tests on beta wikis
Closed, ResolvedPublic

Description

Running pywikibot tests on beta sites has been suggested by Wikimedia devs/ops. both as part of the Pywikibot CI, using Travis CI infrastructure .

Thread about this. http://thread.gmane.org/gmane.science.linguistics.wikipedia.technical/82789

Tracking blockers , etc.

Note this task is not about running pywikibot tests on Wikimedia CI infrastructure, which is T100903.

Event Timeline

jayvdb created this task.May 29 2015, 1:58 PM
jayvdb claimed this task.
jayvdb raised the priority of this task from to High.
jayvdb updated the task description. (Show Details)
jayvdb added a project: Pywikibot-tests.
jayvdb added a subscriber: jayvdb.
Restricted Application added subscribers: Aklapper, Unknown Object (MLST). · View Herald TranscriptMay 29 2015, 1:58 PM

Change 214584 had a related patch set uploaded (by John Vandenberg):
Add betawiki to the Travis build matrix

https://gerrit.wikimedia.org/r/214584

jayvdb added a comment.Jun 2 2015, 2:37 PM

Latest travis build with the beta wikis in the matrix. They are the two 'Allowed failures' entries at the bottom. enwp.beta fails due to T69931 ; zhwp.beta doesnt.

https://travis-ci.org/jayvdb/pywikibot-core/builds/64674078

jayvdb moved this task from Backlog to Framework on the Pywikibot-tests board.Jun 9 2015, 6:25 AM
jayvdb renamed this task from Run tests on beta wikis to Run pywikibot tests on beta wikis.Jul 11 2015, 3:18 PM
jayvdb moved this task from Framework to Upstream on the Pywikibot-tests board.Jul 15 2015, 3:19 AM

Change 214584 merged by jenkins-bot:
Add betawiki to the Travis build matrix

https://gerrit.wikimedia.org/r/214584

jayvdb closed this task as Resolved.Aug 11 2015, 12:22 PM

To help catch problems on betawiki, including oauth issues, the tests are now skipping the two tests which rely on a sane IWM.
So this is effectively resolved; those two tests can be re-enabled when betawiki is correctly configured.